openapi: 3.0.0
info:
  version: WEBSITE
  title: 
  description: BigCommerce Integration Service
servers:
  - url: http://localhost:8094/
paths:
  /Customers:
    get:
      description: ''
      operationId: 'getCustomers'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/CustomersCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewCustomers'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Customers_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
    put:
      description: ''
      operationId: 'updateCustomers'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Customers_Write'
      responses:
        200:
          description: The put was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PutResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /Customers/{id}:
    get:
      description: ''
      operationId: 'getCustomersById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/Customers'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductCreation:
    get:
      description: ''
      operationId: 'getProductCreation'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCreationCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    put:
      description: ''
      operationId: 'updateProductCreation'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductCreation_Write'
      responses:
        200:
          description: The put was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PutResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /ProductCreation/{id}:
    get:
      description: ''
      operationId: 'getProductCreationById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCreation'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrders:
    get:
      description: ''
      operationId: 'getSalesOrders'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrdersCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewSalesOrders'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesOrders_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SalesOrders/{id}:
    get:
      description: ''
      operationId: 'getSalesOrdersById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrders'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesDeliveryNotes:
    get:
      description: ''
      operationId: 'getSalesDeliveryNotes'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesDeliveryNotesCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesDeliveryNotes/{id}:
    get:
      description: ''
      operationId: 'getSalesDeliveryNotesById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesDeliveryNotes'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesInvoices:
    get:
      description: ''
      operationId: 'getSalesInvoices'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesInvoicesCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesInvoices/{id}:
    get:
      description: ''
      operationId: 'getSalesInvoicesById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesInvoices'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductStock:
    get:
      description: ''
      operationId: 'getProductStock'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductStockCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductStock/{id}:
    get:
      description: ''
      operationId: 'getProductStockById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductStock'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductPricing:
    get:
      description: ''
      operationId: 'getProductPricing'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductPricingCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductPricing/{id}:
    get:
      description: ''
      operationId: 'getProductPricingById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductPricing'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    Customers:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        Name:
          type: string
        Address:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AddressLine1:
              type: string
            AddressLine2:
              type: string
            AddressLine3:
              type: string
            AddressLine4:
              type: string
            City:
              type: string
            County:
              type: string
            Country:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Name:
                  type: string
            PostCode:
              type: string
        DefaultCurrency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Phone:
          type: string
        Mobile:
          type: string
        Fax:
          type: string
        EmailAddress:
          type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Statistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Balance:
              type: number
            OutstandingOrders:
              type: number
            UnbilledDeliveries:
              type: number
        CreditControlSetup:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            CreditLimit:
              type: number
        Contacts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              FullName:
                type: string
              FirstName:
                type: string
              LastName:
                type: string
              Address:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  AddressLine1:
                    type: string
                  AddressLine2:
                    type: string
                  AddressLine3:
                    type: string
                  AddressLine4:
                    type: string
                  City:
                    type: string
                  County:
                    type: string
                  Country:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      Code:
                        type: string
                      Name:
                        type: string
                  PostCode:
                    type: string
        DeliveryContacts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              FullName:
                type: string
              FirstName:
                type: string
              LastName:
                type: string
              Address:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  AddressLine1:
                    type: string
                  AddressLine2:
                    type: string
                  AddressLine3:
                    type: string
                  AddressLine4:
                    type: string
                  City:
                    type: string
                  County:
                    type: string
                  Country:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      Code:
                        type: string
                      Name:
                        type: string
                  PostCode:
                    type: string
    Customers_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        Name:
          type: string
        Address:
          type: number
        DefaultCurrency:
          type: number
        Phone:
          type: string
        Mobile:
          type: string
        Fax:
          type: string
        EmailAddress:
          type: string
        SalesRep:
          type: number
        Statistics:
          type: number
        CreditControlSetup:
          type: number
        Contacts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              FullName:
                type: string
              FirstName:
                type: string
              LastName:
                type: string
              Address:
                type: number
        DeliveryContacts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              FullName:
                type: string
              FirstName:
                type: string
              LastName:
                type: string
              Address:
                type: number
    CustomersCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/Customers'
    ProductCreation:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        Description:
          type: string
        Category:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Type:
          type: string
        Statistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            StockLevel:
              type: number
            OutstandingSalesOrders:
              type: number
            OutstandingPurchaseOrders:
              type: number
            AvailableStockLevel:
              type: number
        Selling:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            SellingUnits:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
            DefaultTaxRate:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
        Purchasing:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            PurchaseUnits:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
        SellingPrice1:
          type: number
        SellingGrossPrice1:
          type: number
        D_UploadToWebsite:
          type: string
        D_BigCommerceProductID:
          type: number
    ProductCreation_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        Description:
          type: string
        Category:
          type: number
        WorkflowStatus:
          type: number
        Type:
          type: string
        Statistics:
          type: number
        Selling:
          type: number
        Purchasing:
          type: number
        SellingPrice1:
          type: number
        SellingGrossPrice1:
          type: number
        D_UploadToWebsite:
          type: string
        D_BigCommerceProductID:
          type: number
    ProductCreationCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductCreation'
    SalesOrders:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
            DeliveryContacts:
              type: array
              items:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  FullName:
                    type: string
                  FirstName:
                    type: string
                  LastName:
                    type: string
                  Address:
                    type: object
                    properties:
                      ID:
                        type: integer
                        format: int64
                      UpdatedOn:
                        type: string
                        format: date
                      CreatedOn:
                        type: string
                        format: date
                      AddressLine1:
                        type: string
                      AddressLine2:
                        type: string
                      AddressLine3:
                        type: string
                      AddressLine4:
                        type: string
                      City:
                        type: string
                      Country:
                        type: object
                        properties:
                          ID:
                            type: integer
                            format: int64
                          UpdatedOn:
                            type: string
                            format: date
                          CreatedOn:
                            type: string
                            format: date
                          Code:
                            type: string
                          Name:
                            type: string
                      PostCode:
                        type: string
        DeliveryContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
            Address:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AddressLine1:
                  type: string
                AddressLine2:
                  type: string
                AddressLine3:
                  type: string
                AddressLine4:
                  type: string
                City:
                  type: string
                Country:
                  type: object
                  properties:
                    ID:
                      type: integer
                      format: int64
                    UpdatedOn:
                      type: string
                      format: date
                    CreatedOn:
                      type: string
                      format: date
                    Code:
                      type: string
                    Name:
                      type: string
                PostCode:
                  type: string
                County:
                  type: string
            EmailAddress:
              type: string
            FirstName:
              type: string
            LastName:
              type: string
            Mobile:
              type: string
            Phone:
              type: string
        Contact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        CashCustomer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Branch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DespatchBranch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Currency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Particulars:
          type: string
        DeliveryInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgentService:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              LookupProductCode:
                type: string
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              CostCentre:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              StockBin:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              PriceSource:
                type: string
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Amount:
                type: number
        DiscountAmount:
          type: number
    SalesOrders_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: number
        DeliveryContact:
          type: number
        Contact:
          type: number
        SalesContact:
          type: number
        CashCustomer:
          type: number
        SalesRep:
          type: number
        Branch:
          type: number
        DespatchBranch:
          type: number
        WorkflowStatus:
          type: number
        OrderType:
          type: number
        Currency:
          type: number
        Particulars:
          type: string
        DeliveryInstructions:
          type: number
        DeliveryAgent:
          type: number
        DeliveryAgentService:
          type: number
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              LookupProductCode:
                type: string
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: number
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              CostCentre:
                type: number
              StockBin:
                type: number
              PriceSource:
                type: string
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: number
              Amount:
                type: number
        DiscountAmount:
          type: number
    SalesOrdersCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrders'
    SalesDeliveryNotes:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Order:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DeliveryContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        Contact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        CashCustomer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Branch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DespatchBranch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Currency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Particulars:
          type: string
        DeliveryInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgentService:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Description:
                type: string
              Quantity:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              CostCentre:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              PriceSource:
                type: string
    SalesDeliveryNotes_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Order:
          type: number
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: number
        DeliveryContact:
          type: number
        Contact:
          type: number
        SalesContact:
          type: number
        CashCustomer:
          type: number
        SalesRep:
          type: number
        Branch:
          type: number
        DespatchBranch:
          type: number
        Currency:
          type: number
        Particulars:
          type: string
        DeliveryInstructions:
          type: number
        DeliveryAgent:
          type: number
        DeliveryAgentService:
          type: number
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Description:
                type: string
              Quantity:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: number
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              CostCentre:
                type: number
              PriceSource:
                type: string
    SalesDeliveryNotesCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesDeliveryNotes'
    SalesInvoices:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DeliveryContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        Contact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        CashCustomer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Branch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DespatchBranch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Currency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Particulars:
          type: string
        DeliveryInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgentService:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Description:
                type: string
              Quantity:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              CostCentre:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              PriceSource:
                type: string
    SalesInvoices_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: number
        DeliveryContact:
          type: number
        Contact:
          type: number
        SalesContact:
          type: number
        CashCustomer:
          type: number
        SalesRep:
          type: number
        Branch:
          type: number
        DespatchBranch:
          type: number
        Currency:
          type: number
        Particulars:
          type: string
        DeliveryInstructions:
          type: number
        DeliveryAgent:
          type: number
        DeliveryAgentService:
          type: number
        DeliveryNetAmount:
          type: number
        DeliveryTaxRate:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Description:
                type: string
              Quantity:
                type: number
              NetPrice:
                type: number
              GrossPrice:
                type: number
              NetAmount:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: number
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              CostCentre:
                type: number
              PriceSource:
                type: string
    SalesInvoicesCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesInvoices'
    ProductStock:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        Statistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            StockLevel:
              type: number
            AvailableStockLevel:
              type: number
        D_InfiniteWebStock:
          type: string
        D_BigCommerceProductID:
          type: number
    ProductStock_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        Statistics:
          type: number
        D_InfiniteWebStock:
          type: string
        D_BigCommerceProductID:
          type: number
    ProductStockCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductStock'
    ProductPricing:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        SellingPrice2:
          type: number
        D_BigCommerceProductID:
          type: number
    ProductPricing_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        SellingPrice2:
          type: number
        D_BigCommerceProductID:
          type: number
    ProductPricingCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductPricing'
security:
  - apiKey: []
